import { execRouteMatch } from "../../../shared";
function createSimpleRoutesComparator() {
  return {
    match(url, routes) {
      const route = routes.find(
        (route2) => route2.pattern.test({ pathname: url.pathname })
      );
      if (route) {
        const match = execRouteMatch(url, route);
        return { ...route, params: match?.groups ?? {} };
      }
      return null;
    },
    score() {
      return 1e3;
    },
    sort(routes) {
      return routes;
    }
  };
}
export {
  createSimpleRoutesComparator
};
