import { calcRoutePathScore, compareRoutes, matchRoute } from "../../../shared";
function createURLPatternRouteMatcher() {
  return {
    match(url, routes) {
      const route = matchRoute(url, routes);
      return route ? {
        ...route,
        params: route?.match.groups ?? {}
      } : null;
    },
    score(route) {
      return calcRoutePathScore(route.pathname);
    },
    sort(routes) {
      return routes.sort(compareRoutes);
    }
  };
}
export {
  createURLPatternRouteMatcher
};
